Vacancies

Create vacancy

POST
/api/public/v3/recruitment/vacancies

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v3/recruitment/vacancies" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'title=string&description=string&positions=string&recruitment_pipeline_id=string&hiring_lead_user_id=string&employment_type_id=string&department_id=string&location_id=string'
{  "data": {    "id": 0,    "title": "string",    "description": "string",    "state": "string",    "priority": "string",    "starts_on": null,    "ends_on": null,    "positions": 0,    "currency_code": "string",    "post_on_careers": true,    "applications_count": 0,    "job_level": null,    "employment_type": {      "id": 0,      "name": "string",      "created_at": "string",      "updated_at": "string"    },    "position": null,    "division": null,    "department": {      "id": 0,      "name": "string",      "parent_id": null,      "manager_id": null,      "department_level": null,      "fields": {},      "created_at": "string",      "updated_at": "string"    },    "location": {      "id": 0,      "name": "string",      "address": null,      "time_zone": "string",      "holiday_policy_id": null,      "created_at": "string",      "updated_at": "string"    },    "legal_entity": {      "id": 0,      "name": "string"    },    "recruitment_pipeline": {      "id": 0,      "name": "string",      "stages": [        null      ],      "created_at": "string",      "updated_at": "string"    },    "hiring_lead": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "collaborators": [      null    ],    "tags": [      null    ],    "skills": [      null    ],    "opened_at": null,    "created_at": "string",    "updated_at": "string",    "custom_fields": [      null    ]  }}